##
##  compass.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg    0.12rc1
%define       V_compass 0.12.rc.1
%define       V_git     99c1d37
%define       V_subdir  99c1d37

#   package information
Name:         compass
Summary:      SASS Stylesheet Authoring Framework
URL:          http://compass-style.org/
Vendor:       Chris Eppstein
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      MIT
Version:      %{V_opkg}
Release:      20120303

#   list of sources
Source0:      http://download.github.com/chriseppstein-compass-v%{V_compass}-g%{V_git}.tar.gz
Patch0:       compass.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101, ruby, ruby-gfx, haml

%description
    Compass is a stylesheet authoring tool that uses the SASS stylesheet
    language to make your stylesheets smaller and your web site easier
    to maintain. Compass provides ports of the best of breed CSS
    frameworks that you can use without forcing you to use their
    presentational class names.

%track
    prog compass = {
        version   = %{V_compass}
        url       = http://github.com/chriseppstein/compass/downloads
        regex     = tarball/v(__VER__)
    }

%prep
    %setup -q -n chriseppstein-compass-%{V_subdir}
    %patch -p0

%build
    %{l_shtool} subst %{l_value -s -a} \
        bin/compass lib/compass.rb

%install
    %{l_shtool} mkdir -f -p -m 755 \
       $RPM_BUILD_ROOT%{l_prefix}/bin \
       $RPM_BUILD_ROOT%{l_prefix}/lib/compass \
       $RPM_BUILD_ROOT%{l_prefix}/share/compass
    %{l_shtool} install -c -m 755 \
        bin/compass $RPM_BUILD_ROOT%{l_prefix}/bin/compass
    cp -r frameworks $RPM_BUILD_ROOT%{l_prefix}/share/compass/
    cp -r VERSION* lib/* $RPM_BUILD_ROOT%{l_prefix}/lib/compass/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

